aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJustin Lecher <jlec@gentoo.org>2013-10-15 15:31:48 +0200
committerJustin Lecher <jlec@gentoo.org>2013-10-15 15:31:48 +0200
commit4444407a9a96cbbe321a1d0328aaac2a70807106 (patch)
tree5d3bdf8bf33a7aa59f07e3e1556561c3ed29e28e
parentsci-chemistry/shiftx2: Add missing PYTHON_DEPS and PYTHON_REQUIRED_USE (diff)
downloadsci-4444407a9a96cbbe321a1d0328aaac2a70807106.tar.gz
sci-4444407a9a96cbbe321a1d0328aaac2a70807106.tar.bz2
sci-4444407a9a96cbbe321a1d0328aaac2a70807106.zip
sci-chemistry/smmp: Add missing PYTHON_DEPS and PYTHON_REQUIRED_USE
Package-Manager: portage-2.2.7
-rw-r--r--sci-chemistry/smmp/ChangeLog3
-rw-r--r--sci-chemistry/smmp/metadata.xml2
-rw-r--r--sci-chemistry/smmp/smmp-3.0.5.ebuild17
3 files changed, 13 insertions, 9 deletions
diff --git a/sci-chemistry/smmp/ChangeLog b/sci-chemistry/smmp/ChangeLog
index 375ec723b..b7b3cd754 100644
--- a/sci-chemistry/smmp/ChangeLog
+++ b/sci-chemistry/smmp/ChangeLog
@@ -2,6 +2,9 @@
# Copyright 1999-2013 Gentoo Foundation; Distributed under the GPL v2
# $Header: $
+ 15 Oct 2013; Justin Lecher <jlec@gentoo.org> smmp-3.0.5.ebuild, metadata.xml:
+ Add missing PYTHON_DEPS and PYTHON_REQUIRED_USE
+
16 Jun 2013; Justin Lecher <jlec@gentoo.org> smmp-3.0.5.ebuild, metadata.xml:
Bump to EAPI=5 and python-r1.eclass
diff --git a/sci-chemistry/smmp/metadata.xml b/sci-chemistry/smmp/metadata.xml
index 9ac9ffdb3..51fdedab1 100644
--- a/sci-chemistry/smmp/metadata.xml
+++ b/sci-chemistry/smmp/metadata.xml
@@ -1,5 +1,5 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
-<herd>sci-chemistry</herd>
+ <herd>sci-chemistry</herd>
</pkgmetadata>
diff --git a/sci-chemistry/smmp/smmp-3.0.5.ebuild b/sci-chemistry/smmp/smmp-3.0.5.ebuild
index 95dda9950..c6c0376d6 100644
--- a/sci-chemistry/smmp/smmp-3.0.5.ebuild
+++ b/sci-chemistry/smmp/smmp-3.0.5.ebuild
@@ -20,7 +20,11 @@ LICENSE="GPL-2"
KEYWORDS="~amd64 ~x86"
IUSE="doc mpi test"
-RDEPEND="mpi? ( virtual/mpi )"
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+RDEPEND="
+ ${PYTHON_DEPS}
+ mpi? ( virtual/mpi )"
DEPEND="${RDEPEND}
doc? ( app-doc/doxygen )"
@@ -43,17 +47,14 @@ src_compile() {
src_test() {
emake examples
- cd EXAMPLES
+ cd EXAMPLES || die
bash smmp.cmd || die
}
src_install() {
dobin ${PN}
- installation() {
- python_moduleinto ${PN}
- python_domodule *.py
- python_optimize
- }
- python_foreach_impl installation
+ python_moduleinto ${PN}
+ python_parallel_foreach_impl python_domodule *.py
+ python_parallel_foreach_impl python_optimize
dodoc README
}